package com.huatek.busi.service.impl.dataoutput.impls;

import com.google.common.collect.Lists;
import com.huatek.busi.common.CacMonitorTypeCode;
import com.huatek.busi.service.impl.dataoutput.helper.OptExecutor;
import com.huatek.busi.vo.dataoutput.OutputEquipmentVo;
import org.springframework.stereotype.Component;

import java.time.LocalDate;
import java.util.List;
import java.util.Map;

/**
 * sf6环境
 * 
 * @author anker_cheng
 * @date 2019/10/14
 */
@Component
@OptExecutor(mainEquipmentType = "211", subEquipmentType = "071")
public class GisSf6EnvExecutor extends AbstractDataOutputExecutor {
    @Override
    protected Map<String, Object> getParams(OutputEquipmentVo vo, LocalDate day) {
        Map<String, Object> params = super.getParams(vo, day);
        params.put("cacMonitorTypeCode", CacMonitorTypeCode.GIS_SF6ENV.getCode());
        return params;
    }

    @Override
    protected List<String> getKeys() {
        return Lists.newArrayList("sensorId", "sensorName", "timeStamp", "phase", "conc", "oContent",
            "tmp", "dew");
    }
}
